Subject: Re: emacs-next-pgtk does not find emacs-org-roam, other path issues

From: Liliana Marie Prikler <[email-masked]>
Date: Wed, 01 Mar 2023 10:25:41 +0100

Am Mittwoch, dem 01.03.2023 um 02:58 +0000 schrieb Csepp:
> emacs-org-roam is installed in my default profile and all the other
> emacs packages work with the emacs-next-pgtk package in the same
> profile.
> guix shell emacs-org-roam emacs-next-pgtk does not work, guix shell
> emacs-org-roam emacs does.
> 
> Possibly related: when I had flatpak installed it was not showing up
> in my profile's bin directory, so I had to open it through guix
> shell.
> 
> Maybe this is related to the bug where shell and build produce
> differen derivations?
You probably messed up some of your paths.  As a hint,
  guix shell --pure -E DISPLAY emacs-next-pgtk emacs-org-roam -- emacs
should run without any issues (apart from your init.el not working as
intended – in that case, supply -Q).

Try adding --check to your invocation of guix shell to see whether your
rc files are borked.